@import url(./font.css);

* {
	box-sizing: border-box;
}

html, body {
	margin: 0;
	padding: 0;
	font-family: "Roboto";
	font-size: 15px;
	position: relative;
}
p {
	margin-bottom: 0;
}
ul {
	list-style: none;
	margin-bottom: 0;
}
h2 {font-size: 2rem;
}
h5 {
	margin: 1rem 0
}
a {
	text-decoration: none;
}
.clear {
	clear: both;
}
.tovabb a {
	text-decoration: none;
	background: #092942;
	color: white;
	padding: 5px 15px;
	border-radius: 3px;
}
/*----------Go to top----------------------*/
#button.gototop {

  background-color: #1290d9;
  width: 50px;
  height: 50px;
  text-align: center;
  border-radius: 4px;
  margin: 30px;
  position: fixed;
  bottom: 30px;
  right: 30px;
  -webkit-transition: background-color .3s, opacity .5s, visibility .5s;
  -moz-transition: background-color .3s, opacity .5s, visibility .5s;
  transition: background-color .3s, opacity .5s, visibility .5s;
  opacity: 0;
  visibility: hidden;
  z-index: 1000;
  padding-top: 10px;

}

#button.gototop i {
	color: white;
}
#button.gototop:hover {
  cursor: pointer;
  background-color: #333;
}

#button.gototop.show {
	opacity: 1;
	visibility: visible;
}

/*----------Side nav (oldalsó menü)----------------------*/
.side-nav {
	width: 0;
	height: 100%;
	position: fixed;
	top: 0;
	right: 0;
	/* bottom: 0; */
	overflow-x: hidden;
	background: #092942;
	color: rgba(255,255,255,0.8);
	-webkit-transition: all 550ms;
	-moz-transition: all 550ms;
	transition: all 550ms;
	z-index: 1003;
	white-space: nowrap;
	
}
.sidenav-inner {
	width: 100%;
	height: 100%;
	padding: 2rem;
	display: flex;
    flex-direction: column;
    justify-content: space-around;
	
}
.sidenav-phone, .sidenav-email {
	margin: 1rem 0;
	
}
.sidenav-phone i, .sidenav-email i{
	margin: 0.3rem 0.5rem 0 0;
}
.side-nav .closebtn {
	text-decoration: none;
	color: white;
	font-size: 3rem;
	width: 40px;
	height: 40px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center
}

.side-nav form {
	display: block;
}

.side-nav form input {
	display: block;
	margin: 1rem 0;
	border: none;
	box-shadow: none;
	font-size: 0.8rem;
	width: 100%;
	padding: 10px 5px
}
.side-nav input[type="submit"] {
	background: #1290d9;
	color: white;
	width: 100%;
	margin-top: 3rem;
	margin-bottom: 0;
}
.side-nav input[type="checkbox"]{
	display: block;
	width: 20px;
	margin: 0.2rem 0.5rem 0 0;
	float: left;
}
.side-nav form span {
	font-size: 0.8rem;
	display: block;
	margin-top: 1rem
}

.side-nav ul{
	padding-left: 0;
	width: 100%;
	
}
.side-nav ul li{
	margin: 0.5rem 0
}
.side-nav a {
	color: white
}
.side-nav label.error {
	color: red;
	display: block;
}

/*Felső MENU*/
header .logo {
	display: flex;
	flex-direction: column;
	justify-content: center;
	background: white;
	border-radius:5px
}
.menu-bar{
	width: 100%;
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	/* background: #092942; */
	background:white;
	color: white;
	box-shadow: 0 0 20px rgba(0,0,0,0.6);
	overflow: hidden;
	-webkit-transition: all 0.5s;
	-moz-transition: all 0.5s;
	transition: all 0.5s;
	z-index: 1001;
	padding: 0.5rem 0;
	border-top: 5px solid #092942;
}

.blue-background {
	background: #092942;
	border-top: none;
}
.white-color {
	color: white!important;
}
.menu li {
	padding: 1rem 
}

.menu li a {
	text-transform: uppercase;
	color: black;
	display: block;
	padding-top: 5px;
}
.menu li:first-child a {
	color: #1290d9;
}
.menu li a:hover {
	color: #1290d9;
}
.navigation-box {
	/* color: white; */
	color: black;
	cursor: pointer;
	padding: 1rem;
}

.navigation-box .bar{
	width: 40px;
	height: 2px;
	background-color: #092942;
	margin: 6px 0;
	-webkit-transition: 04s;
	-moz-transition: 04s;
	transition: 04s;
}

/* Banner section*/

.site-banner {
	padding-top: 80px;
}
.banner-item{
	position: relative;
}

.banner-item .text{
	width: 100%;
	position: absolute;
	color: white;
	font-weight: 300;
	top: 40%;
	text-align: center;
	z-index: 10001;
	font-size: 1.2rem;
	padding: 0.5rem;
	line-height: 1.2;
	text-shadow: 0 0 2px rgba(0,0,0,0.5);
}


/*About section*/

.about {
	padding: 3rem 0;
	background: #f5f5f5;
}

.content {
	display: flex;
	flex-direction: column;
	padding: 0 2rem
}

.content p {
	margin-bottom: 2rem;
	text-align: center
	
}
.about h2 {
	margin-bottom: 2rem;
	text-align: center
}
.about .tovabb {
	display: flex;
	justify-content: center;
	margin: 2rem 0
}


.top-wrapper {
	width: 100%;
	padding: 2rem;
	
}
.top-box {
	width: 100%;
}
.top-card {
	
	padding: 2rem;
}


 
.top-card img {
	width: 100%;
}

/* Services section*/

.services {
	padding: 3rem; 
}

.services .service-card {
	margin-bottom: 1rem
}

.services .service-card .service-img {
	position: relative;
	color: white;
}

.services .service-card .service-img img{
	width: 100%;
}
.services .service-card h3 {
	font-size: 1rem;
	position: absolute;
	top: 50%;
	left: 50%;
	-webkit-transform: translate(-50%, -50%);
	-ms-transform: translate(-50%, -50%);
	-moz-transform: translate(-50%, -50%);
	-o-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
	z-index: 10;
	color: white;
	text-align: center
}

.services .service-text {
	background: #f5f5f5;
	padding: 1rem

}
.services .service-text p {
	line-height: 1.4;
	font-size: 1rem
}

.services h2 {
	margin-bottom: 3rem!important;
}


/* portfolio*/

.portfolio {
	padding: 2rem 3rem;
}

/* Excell tábla*/


.tablazat-div {
	margin-top: 5rem;
}
.tablazat-div img{
	width: 100%;
	
}

/*  ujdonsagok */

.ujdonsag {
	width: 100%;
	padding: 2rem 0;
}

.ujdonsag img {
	display: block;
	margin: 0 auto;
	width: 100%;
}




/* Bemutató anyagok*/

.tutorials {
	width: 100%;
	padding: 3rem 0;
	text-align: center;
	
}

.tutorials h2 {
	margin-bottom: 3rem
}

.tutorials .tuto-div {
	padding: 1rem;
}
.tutorials h3 {
	font-size: 1.1rem;
	margin-top: 2rem;
}

.tutorials .tovabb {
	display: flex;
	justify-content: center;
	margin: 2rem 0
}
.tutorials .tovabb a {
	text-decoration: none;
	background: #092942;
	color: white;
	padding: 10px 15px;
	border-radius: 5px
}

/* Katalógusok*/

.catalog {
	padding: 3rem;
	
}
.catalog .cat-wrapper {
	display: flex;
	flex-direction: column;
}

.catalog .cat-item {
	border: 1px solid #1290d9; 
	margin-bottom: 2rem
}
.catalog .item-text {
	display: flex;
	flex-direction: column;
	justify-content: center;
	background: #092942;
	padding: 1.5rem
}
.catalog .cat-item h4 a{
	text-transform: uppercase;
	color: white;
	display: block;
	font-size: 20px;
	font-weight: bold;
	margin-bottom: 2rem
}
.catalog .cat-item p {
	color: white;
}
.catalog img {
	display: inline-block;
	cursor: pointer;
	width: 100%;
}

.catalog div a{
	color: white;
	
	font-size: 0.9rem;
	font-weight: bold
}
.catalog div a:hover {
	color: #1290d9;
}
.catalog h3 {
	color: white;
	font-size: 2rem;
	text-align: center;
	margin: 0 0 2rem 0;
}

/* contact section*/

.site-contact {
	padding: 3rem 0 0 0;
	background: #092942;
	color: white;
}


.contact-wrapper{
	width: 80%;
	margin: 0 auto;
	box-shadow: 0 0 30px rgba(0,0,0,0.3) 
}
.contact-data {
	margin-bottom: 2rem;
	color: white;
}
.contact-data a {
	color: white;
}
.contact-data .logo{
	margin-bottom: 2rem;
}
.contact-data ul {
	padding-left: 0;
}
.contact-data ul li {
	margin: 0.8rem 0
}
.contact-form {
	padding: 1rem;
	background: white;
	box-shadow: 0 0 30px rgba(0,0,0,0.3);
	border-top: 5px solid #092942;
	margin-bottom: 2rem;
	padding: 1rem 0;
}
.contact-form input, textarea {
	display: block;
	width: 100%;
	margin: 0.5rem auto;
	background: #f5f5f5;
	border: none;
	box-shadow: none;
	padding: 0.5rem 1rem;
	font-size: 0.8rem;
	color: black!important;
}
.contact-form input:focus{
	border: none;
	outline: none
}
.contact-form form {
	padding: 0.5rem;
}
.contact-form input[type="submit"]{
	background: #1290d9;
	color: white!important;
	margin-top: 1rem;
}
.contact-form input[type="checkbox"]{
	display: inline;
	width: 20px;
}
.contact-form h5 {
	color: black;
	margin: 1rem 0 2rem 0;
	font-size: 1rem;
	text-align: center;
}
.contact-form label.error{
	font-size: 0.8rem;
	color: red
}

.contact-list{
	text-align: left;
	color: white;
}
.contact-list a {
	color: white;
}
.contact-list ul{
	padding-left: 0;
	padding: 1rem 0;
}
.contact-list ul li{
	margin-bottom: 1rem
}

/* Footer */

footer {
	width: 100%;
	padding: 3rem 0 0 0;
	background: #092942;
	
}
.footer-bottom {
	margin-top: 2rem;
	padding: 1rem 0;
	border-top: 1px solid rgba(0,0,0,0.5);
	text-align: center;
	color: white;
}
footer a:hover {
	color: #1290d9
}
/* ADMIN style*/

nav.admin-navbar {
	width: 0;
	background: #092942;
	padding: 2rem 0;
	color: white;
	height: 100vh;
	position: fixed;
	z-index: 10000;
	top: 0;
	left: 0;
	bottom: 0;
	overflow: hidden;
	transition: all 0.5s;
	box-shadow: 0 0 30px rgba(0,0,0,0.7);
	display: flex;
	flex-direction: column;
	justify-content: center;
	
}

.admin-navbar  a {
	color: white;
}
.admin-navbar .navbar-brand {
	position: absolute;
	top: 20px;
	left: 50%;
	transform: translate(-50%);
}
.admin-section-menu, .admin-mobil-menu {
	padding-right: 0;
	padding-left: 0;
	
	
}
.admin-section-menu li, .admin-mobil-menu li {
	margin: 1rem;
	text-align: right;
	padding: 0.5rem 0;
	border-bottom: 1px solid rgba(255,255,255,0.1);

}
.admin-section-menu li a, .admin-mobil-menu li a {
	text-transform: uppercase;
	font-size: 0.85rem;
	
}

.admin-top-nav {
	display: block;
	margin-bottom: 0;
	position: fixed;
	top: 0;
	right: 0;
	width: 100%;
	background: #092942;
	color: white;
	text-align: right;
	padding: 10px 2rem 10px 0;
	display: flex;
	justify-content: end;
	z-index: 10000;
	
}
.admin-top-nav .adminmenu {
	display: flex;
	align-items: center
	
}
.admin-top-nav .adminmenu .profile-img img{
	margin: 0 1rem;
	border-radius: 50%
}

.admin-top-nav .adminmenu li{
	margin-left: 1rem
}
.admin-navigation-box {
	color: white;
	cursor: pointer;
	display: block;
	margin-left: 2rem
}

.admin-navigation-box .bar{
	width: 40px;
	height: 1px;
	background-color: #fff;
	margin: 8px 0;
	-webkit-transition: 04s;
	-moz-transition: 04s;
	transition: 04s;
}

.admincontent {
	width: 100%;
	float: right;
	padding-top: 80px;
	
}

.admincontent .card-box {
	width: 80%;
	height: 100%;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	

	
}
.admincontent .card {
	width: 300px;
	margin: 2rem;
	text-align: center
}
.admincontent .card a {
	float: none
}


section#adminbanner {
	padding-top: 100px;
}
.admincontent section {
	padding: 3rem 0;
	min-height: 100vh;
}

.admincontent section h2 {
	color: grey;
	font-size: 30px;
	margin-bottom: 2rem
}
.admincontent td.muvelet-td {
	display: flex
}
.admincontent td.muvelet-td form {
	margin-left: 1rem
}
.admincontent td.muvelet-td a {
	display: block;
	margin-left: 1rem
}

.new-div {
	display: flex;
	justify-content: end;
	margin: 2rem 0;
}

.top-bar a {
	display: block;
	background: #1290d9;
	color: white;
	padding: 10px 1rem;
	border-radius: 3px;
	margin-bottom: 2rem;
	text-align: center
}
table a {
	color: #1290d9;
}
table a:hover {
	font-weight: bold
}

.admin-footer {
	background: black;
	color: white;
	text-align: center;
	font-size: 0.8rem;
	padding: 1rem 0;
	display: none;
}

/*----------login---------------*/

section.entry-section {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 100%;
	height: calc(100vh - 250px);
}
.entry-div {
	width: 50%;
}

.entry-div a {
	display: block;
	margin: 3rem 0;
}
.login-footer {
	color: white;
	text-align: center;
	padding: 1rem 0;
	margin: 0;
}
.login-logo {
	display: block;
}

/*//////////////////Banner text animation with owl carousel/////////////////////////////*/

@-webkit-keyframes fadeInUpSD {
	0% {
		opacity: 0;
		-webkit-transform: translateY(100px);
		transform: translateY(100px);
	}
	100% {
		opacity: 1;
		-webkit-transform: none;
		transform: none;
	}
}

@keyframes fadeInUpSD {
	0% {
		opacity: 0;
		-webkit-transform: translateY(100px);
		transform: translateY(100px);
	}
	100% {
		opacity: 1;
		-webkit-transform: none;
		transform: none;
	}
}

.fadeInUpSD {
	-webkit-animation-name: fadeInUpSD;
	animation-name: fadeInUpSD;
}

.owl-item.active .banner-item .text {
		animation-name: fadeInUpSD;
		animation-duration: 3s;
		animation-delay: 1s;
		opacity: 1;
		width: 100%;
		animation-fill-mode: both;
		
}

.site-banner {
	overflow: hidden;
}

/*//////////////////Banner text animation with owl carousel end/////////////////////////////*/

.accordion {
  background-color: rgba(0,0,0,0.05);
  color: #444;
  cursor: pointer;
  padding: 18px;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  font-size: 15px;
  transition: 0.4s;
  margin-bottom: 0.2rem;
}

.active, .accordion:hover {
  background-color: #eee;
}

.panel {
  padding: 0 18px;
  background-color: white;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
}

.list-group {
	margin: 1rem 0;
}

.alert-ok, .alert-errors {
	width: 100%;
	
	z-index: 999999;
}

/* Lightbox*/

.template {
   position: fixed;
   height: 100%;
   width: 100%;
   background: rgba(0, 0, 0, 0.8);
   top: 0;
   left: 0;
   color: #fff;
   display: none;
   z-index: 10000;

}

.template img {
   max-width: 80%;
   max-height: 80%;
   position: absolute;
   left: 0;
   right: 0;
   top: 0;
   bottom: 0;
   margin: auto;
 
   
 }

 .template i {
	 position: absolute;
	 top: 50px;
	 right: 70px;
	 color: white;
	 z-index: 10001
 }
 
 /* lightbox end*/
 
 /* Loader*/
 
 .loader {
  border: 5px solid #f3f3f3;
  border-radius: 50%;
  border-top: 5px solid #3498db;
  width: 20px;
  height: 20px;
  -webkit-animation: spin 2s linear infinite; /* Safari */
  animation: spin 2s linear infinite;
  margin: 10px auto;
}

/* Safari */
@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
 
 /* Impresszum*/
 
 .page-main {
	 padding: 130px 0 50px 0;
	 min-height: calc(100vh - 100px); 
	 
}
.page-main h1 {
	 margin-bottom: 3rem;
}
.page-main h4 {
	margin: 2rem 0
} 

.page-main .login-footer {
	margin-top: 3rem
}
@media (min-width: 576px) {
	.banner-item .text {font-size: 30px}	
	.portfolio { padding: 7px 14px}	
	.top-wrapper {padding: 0;}
	.top-card { padding: 0 1rem 0 0}
	.top-card:nth-of-type(2) {padding: 3px}
	.services .service-text {display: flex; flex-direction: column; justify-content: center;}
	.services .service-text p {line-height: 1.1}
	.catalog {width: 100%;}
	.cat-item {display: flex}
	.services .service-card {margin-bottom: 0;}
	.services .service-card:nth-child(even){flex-direction: row-reverse; text-align: right}
}

@media (min-width: 768px) {
	.banner-item .text {font-size: 50px}
	.top-card { padding: 3px;}
	.services .service-text p {line-height: 1.5;}
	.tutorials .tuto-wrapper {width: 80%; margin: 0 auto}
	.services .service-card .service-img {margin: 0}
	.content {text-align: center}
	.about .tovabb {justify-content: center}
	.top-wrapper {justify-content: center}
	.tutorials .tuto-div {text-align: center}
	.admincontent {width: 80%;}
	nav.admin-navbar {width: 20%;}
	.ujdonsag img {width: 80%;}
	
}

@media (min-width: 992px) {
	.site-contact {padding: 0; background: white; color: black}
	.site-contact h2 {margin-bottom: 12rem}
	.contact-form {margin: -140px 1rem 1rem 1rem}
	.admincontent .wrapper {margin: 0.5rem 0; padding: 0;}
	.admincontent .wrapper-item {margin-bottom: 0}
	.catalog .cat-wrapper {flex-direction: row}
	
}

@media (min-width: 1200px) {
	h2 {font-size: 3rem; margin-bottom: 2rem}
	.service-wrapper {display: grid; grid-template-columns: repeat(auto-fit, minmax(500px, 1fr))}
	.services .service-card { display: flex; flex-basis: 50%;}
	.services .service-card:nth-child(even){flex-direction: row; text-align: left}
	.services .service-card:nth-child(4n), .services .service-card:nth-child(4n-1) {flex-direction: row-reverse; text-align: right}
	.services .service-card .service-text {padding: 0 1.5rem; font-size: 1rem;}
	.about .top-wrapper {width: 50%; padding: 0}
	.about .content {align-items: start; justify-content: center}
	.about .content p {text-align: left}
	.banner-item .text {font-size: 70px}
	.tutorials .tuto-wrapper {width: 100%;}
	.side-nav .mobil-menu {	display: none;} 
	.ujdonsag img {width: 70%;}

}